locals {
  buckets = [
    "shockrah.xyz",
    "resume.shockrah.xyz"
  ]
}

resource "aws_s3_bucket" "static-content" {
  for_each = {
    for idx, record in local.buckets:
      idx => record
  }
  
  bucket = each.value

  tags = {
    Name = each.value
    Description = "Static content"
  }
}

##################################################################
# Below are the acl components for each bucket to make them public
##################################################################
#resource "aws_s3_bucket_ownership_controls" "static-content" {
#  for_each = toset(local.buckets)
#  bucket = each.value
#  rule {
#    object_ownership = "BucketOwnerPreferred"
#  }
#}


resource "aws_s3_bucket_acl" "static-content" {
  for_each = toset(local.buckets)

  bucket = each.value
  acl = "public-read"
}

